Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410806 - Expose custom_attribute methods to ext_management_system service model
Summary: Expose custom_attribute methods to ext_management_system service model
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1410851
TreeView+ depends on / blocked
 
Reported: 2017-01-06 14:38 UTC by Satoe Imaishi
Modified: 2018-06-01 13:22 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1410851 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:14:24 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Satoe Imaishi 2017-01-06 14:38:06 UTC
From PR https://github.com/ManageIQ/manageiq/pull/12602:

Create service_model mixin for exposing custom_attribute methods.

Updated existing models to use mixin.

Added mixin to ext_management_system service model to support functionality added in PR #10503

http://talk.manageiq.org/t/acess-drb-remote-object/1869

Comment 3 Milan Falešník 2017-03-03 13:27:27 UTC
Verified in 5.8.0.3. I was able to use custom_(keys|set|get) on :ExtManagementSystem via $evm.


Note You need to log in before you can comment on or make changes to this bug.